gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Create bars of buttons and other widgets.

A toolbar is created with a call to .

Buttons with text and/or images are added with , , and .

Any of , , or an arbitrary widget can be added to the toolbar with , , and .

Widgets can be visibly grouped by adding gaps between widgets using , , and .

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.UInt32 To be added: an object of type 'uint' To be added
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  Gtk.Widget `` `` `` `` `` `` `` Adds a new element to the end of a toolbar. A value of type that determines what widget will be. a , or . The element's label. The element's tooltip. Text used for context-sensitive help about this toolbar element. a that provides pictorial representation of the element's function. The function to be executed when the button is pressed. The new toolbar element as a

  If is , is used as the new element. If is , is used to determine the radio group for the new element. In all other cases, widget must be .

- Method
  Gtk.Widget `` `` `` `` `` Adds a new button to the beginning (top or left edges) of the given toolbar. Text for the button label. A string that appears when the user holds the mouse over this item. Text used for context-sensitive help about this toolbar element. A that should be used as the button's icon. The function to be executed when the button is pressed. The new toolbar element as a To be added
- Method
  Gtk.Widget `` `` `` `` `` `` `` Inserts a new item into the toolbar. You must specify the position in the toolbar where it will be inserted. Text for the button label. A string that appears when the user holds the mouse over this item. Text used for context-sensitive help about this toolbar element. A that should be used as the button's icon. The function to be executed when the button is pressed. To be added: an object of type 'IntPtr' The number of widgets to insert this item after. The new toolbar element as a . To be added
- Method
  System.Void Adds a new space to the beginning of the toolbar. To be added
- Method
  System.Void Unsets a toolbar style set with . Unsets a toolbar style set with , so that user preferences will be used to determine the toolbar style.
- Method
  System.Void Unsets toolbar icon size set with . To be added
- Method
  System.Void `` `` `` `` Inserts a widget in the toolbar at the given position. a to add to the toolbar. The element's tooltip. Used for context-sensitive help about this toolbar element. The number of widgets to insert this widget after.
- Method
  Gtk.Widget `` `` `` `` `` `` Inserts a stock item at the specified position of the toolbar. The id of the stock item you want to insert The text in the tooltip of the toolbar button The private text of the tooltip The callback called when the toolbar button is clicked. To be added: an object of type 'IntPtr' The position the button shall be inserted at. -1 means at the end. The inserted widget If is not a known stock item ID, it's inserted verbatim, except that underscores used to mark mnemonics are removed.
- Method
  System.Void `` `` `` Adds a widget to the end of the given toolbar. A to add to the toolbar. The element's tooltip. Used for context-sensitive help about this toolbar element. To be added
- Method
  System.Void Adds a new space to the end of the toolbar. To be added
- Method
  Gtk.Widget `` `` `` `` `` Adds a new button to the end (right or bottom edges) of the given toolbar. The element's label. The element's tooltip. Text used for context-sensitive help about this toolbar element. a that provides pictorial representation of the element's function. The function to be executed when the button is pressed. The new toolbar element as a To be added
- Method
  System.Void `` Removes a space from the specified position. The index of the space to remove. To be added
- Method
  System.Void `` `` `` Adds a widget to the beginning of the given toolbar. a to add to the toolbar. The element's tooltip. Used for context-sensitive help about this toolbar element. To be added
- Method
  Gtk.Widget `` `` `` `` `` `` `` `` `` Inserts a new element in the toolbar at the given position. A value of type that determines what widget will be. a , or . The element's label. The element's tooltip. Text used for context-sensitive help about this toolbar element. a that provides pictorial representation of the element's function. The function to be executed when the button is pressed. To be added: an object of type 'IntPtr' The number of widgets to insert this element after. The new toolbar element as a

  If is , is used as the new element. If is , is used to determine the radio group for the new element. In all other cases, widget must be .

- Method
  Gtk.Widget `` `` `` `` `` `` `` Adds a new element to the beginning of a toolbar. A value of type that determines what widget will be. a , or . The element's label. The element's tooltip. Text used for context-sensitive help about this toolbar element. a that provides pictorial representation of the element's function. The function to be executed when the button is pressed. The new toolbar element as a

  If is , is used as the new element. If is , is used to determine the radio group for the new element. In all other cases, widget must be .

- Method
  System.Void `` Inserts a new space in the toolbar at the specified position. The number of widgets after which a space should be inserted. To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Toolbar, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Toolbar, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new toolbar.
  The newly-created toolbar.
  To be added
- Property
  System.UInt32 The GLib Type for Gtk.Toolbar The GLib TYpe for the Gtk.Toolbar class.
- Property
  Gtk.IconSize `` This function sets the size of stock icons in the toolbar. You can call it both before you add the icons and after they've been added. The size you set will override user preferences for the default icon size. The that stock icons in the toolbar shall have. The icon size for the toolbar. To be added
- Property
  System.Boolean `` Sets if the tooltips of a toolbar should be active or not. set to to disable the tooltips, or to enable them. Whether tooltips are enabled. To be added
- Property
  Gtk.ToolbarStyle `` Alters the view of toolbar to display either icons only, text only, or both. The new style for toolbar. The current style of toolbar. To be added
- Property
  Gtk.Orientation `` Sets the orientation of the toolbar to either or . The orientation of the toolbar. The orientation of the toolbar. To be added
- Event
  Used if you wish to perform an action when the orientation of a toolbar is changed.
  To be added
- Event
  Used if you wish to perform an action when ever the style of a toolbar is adjusted.
  For example, this would be a useful signal to connect to if you want to display more items on the toolbar when it is in icon-only mode; each item takes less space on the bar.